HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Submit a test PIN during sandbox development

Use For Sandbox Only

Only use this endpoint during sandbox testing. It cannot be used in production.

A POST request to /payments/{payment_ref}/collect_pin_backend/ programmatically associates a test PIN with an existing Payment object.

Use this endpoint to automate sandbox testing when you're building an integration that defers payment capture to the server.

Path Params
string
required

A unique reference hash for the Forage Payment object, returned when the Payment was created.

Body Params
string
required

A test four-digit PIN number, represented as a string.

Headers
string
required

An OAuth 2.0 authentication token that validates the request. Send a POST to the /o/token/ endpoint to generate an authentication token. Pass the token in this header after the word Bearer and a whitespace, for example Bearer <api_key>.

string
required

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67. The Merchant ID can be found in the Forage sandbox or production dashboard.

string
required

An alphanumeric key that clients can use to identify repeated requests that are dropped in transit. Generate a distinct key for every unique request and only re-use keys for retries.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json